org.apache.ignite.internal.processors.platform.plugin.cache

## Class PlatformCachePluginConfiguration

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.plugin.cache.PlatformCachePluginConfiguration

All Implemented Interfaces:
  Serializable, CachePluginConfiguration

    public class PlatformCachePluginConfiguration
    extends Object
    implements CachePluginConfiguration

Platform cache plugin configuration.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformCachePluginConfiguration(Object nativeCfg)` Ctor.

### Method Summary

Methods
`Object` `nativeCfg()` Gets the native configuration object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformCachePluginConfiguration

    public PlatformCachePluginConfiguration(Object nativeCfg)

Ctor.

Parameters:
  `nativeCfg` - Native configuration object.

### Method Detail

#### nativeCfg

    public Object nativeCfg()

Gets the native configuration object.

Returns:
  Native configuration object.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017